#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, O, A, B, AB;
    string grupa;
    int nBroj;
    cin >> n >> O >> A >> B >> AB;
        for(int i = 0; i < n; i++)
            cin >> grupa >> nBroj;
        if(grupa == "0" && nBroj > O) cout << "nemoguce";
                
    return 0;
}